Package org.springframework.security.web.session

# Class InvalidSessionAccessDeniedHandler

java.lang.Object
org.springframework.security.web.session.InvalidSessionAccessDeniedHandler

All Implemented Interfaces:
  `AccessDeniedHandler`

public final class InvalidSessionAccessDeniedHandler extends Object implements AccessDeniedHandler
An adapter of `InvalidSessionStrategy` to `AccessDeniedHandler`

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`InvalidSessionAccessDeniedHandler(InvalidSessionStrategy invalidSessionStrategy)`
Creates a new instance

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException)`
Handles an access denied failure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvalidSessionAccessDeniedHandler

public InvalidSessionAccessDeniedHandler(InvalidSessionStrategy invalidSessionStrategy)
Creates a new instance

Parameters:
  `invalidSessionStrategy` - the `InvalidSessionStrategy` to delegate to

## Method Details

### handle

public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.access.AccessDeniedException accessDeniedException) throws IOException, jakarta.servlet.ServletException
Description copied from interface: `AccessDeniedHandler`
Handles an access denied failure.

Specified by:
  `handle` in interface `AccessDeniedHandler`
Parameters:
  `request` - that resulted in an `AccessDeniedException`
  `response` - so that the user agent can be advised of the failure
  `accessDeniedException` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException